Activity log for bug #1813118

Date Who What changed Old value New value Message
2019-01-24 07:11:23 Po-Hsu Lin bug added bug
2019-01-24 07:30:08 Ubuntu Kernel Bot linux (Ubuntu): status New Confirmed
2019-01-24 09:34:06 Po-Hsu Lin bug task added ubuntu-kernel-tests
2019-05-13 11:11:16 Po-Hsu Lin linux (Ubuntu): assignee Po-Hsu Lin (cypressyew)
2019-05-13 11:11:20 Po-Hsu Lin nominated for series Ubuntu Cosmic
2019-05-13 11:11:20 Po-Hsu Lin bug task added linux (Ubuntu Cosmic)
2019-05-13 11:11:20 Po-Hsu Lin nominated for series Ubuntu Bionic
2019-05-13 11:11:20 Po-Hsu Lin bug task added linux (Ubuntu Bionic)
2019-05-13 11:11:26 Po-Hsu Lin linux (Ubuntu Bionic): assignee Po-Hsu Lin (cypressyew)
2019-05-13 11:11:28 Po-Hsu Lin ubuntu-kernel-tests: assignee Po-Hsu Lin (cypressyew)
2019-05-13 11:11:30 Po-Hsu Lin linux (Ubuntu): assignee Po-Hsu Lin (cypressyew)
2019-05-13 11:11:32 Po-Hsu Lin linux (Ubuntu Cosmic): assignee Po-Hsu Lin (cypressyew)
2019-05-13 11:11:36 Po-Hsu Lin linux (Ubuntu Cosmic): status New In Progress
2019-05-14 07:20:54 Po-Hsu Lin linux (Ubuntu Bionic): status New In Progress
2019-05-14 07:20:56 Po-Hsu Lin ubuntu-kernel-tests: status New In Progress
2019-05-14 07:25:20 Po-Hsu Lin linux (Ubuntu): status Confirmed Fix Released
2019-05-14 08:17:38 Po-Hsu Lin description This issue was only spotted on Power9 system "balter", for Power8 system, it has passed with this test: TAP version 13 selftests: copy_unaligned ======================================== test: test_copy_unaligned tags: git_version:unknown !! child died by signal 4 failure: test_copy_unaligned not ok 1..1 selftests: copy_unaligned [FAIL] selftests: copy_first_unaligned ======================================== test: test_copy_first_unaligned tags: git_version:unknown success: test_copy_first_unaligned ok 1..2 selftests: copy_first_unaligned [PASS] selftests: paste_unaligned ======================================== test: test_paste_unaligned tags: git_version:unknown !! child died by signal 4 failure: test_paste_unaligned not ok 1..3 selftests: paste_unaligned [FAIL] selftests: paste_last_unaligned ======================================== test: test_paste_last_unaligned tags: git_version:unknown !! child died by signal 4 failure: test_paste_last_unaligned not ok 1..4 selftests: paste_last_unaligned [FAIL] ProblemType: Bug DistroRelease: Ubuntu 18.04 Package: linux-image-4.15.0-43-generic 4.15.0-43.46 ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18 Uname: Linux 4.15.0-43-generic ppc64le AlsaDevices: total 0 crw-rw---- 1 root audio 116, 1 Jan 24 06:50 seq crw-rw---- 1 root audio 116, 33 Jan 24 06:50 timer AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay' ApportVersion: 2.20.9-0ubuntu7.5 Architecture: ppc64el ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord' AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1: Date: Thu Jan 24 07:05:20 2019 IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig' Lsusb: Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub Bus 001 Device 003: ID 0451:80ff Texas Instruments, Inc. Bus 001 Device 004: ID 0557:2419 ATEN International Co., Ltd Bus 001 Device 002: ID 0557:7000 ATEN International Co., Ltd Hub Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub PciMultimedia: ProcFB: 0 astdrmfb ProcKernelCmdLine: root=UUID=acd1a0d7-f6fc-4130-928c-c8b11ad6e4be ro console=hvc0 ProcLoadAvg: 1.24 0.89 0.66 3/1412 8319 ProcLocks: 1: POSIX ADVISORY WRITE 3876 00:17:569 0 EOF 2: FLOCK ADVISORY WRITE 3556 00:17:497 0 EOF 3: FLOCK ADVISORY WRITE 4090 00:17:596 0 EOF 4: POSIX ADVISORY WRITE 3955 00:17:571 0 EOF 5: POSIX ADVISORY WRITE 1823 00:17:348 0 EOF ProcSwaps: Filename Type Size Used Priority /swap.img file 8388544 0 -2 ProcVersion: Linux version 4.15.0-43-generic (buildd@bos02-ppc64el-020) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #46-Ubuntu SMP Thu Dec 6 14:43:28 UTC 2018 RelatedPackageVersions: linux-restricted-modules-4.15.0-43-generic N/A linux-backports-modules-4.15.0-43-generic N/A linux-firmware 1.173.3 RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill' SourcePackage: linux UpgradeStatus: No upgrade log present (probably fresh install) VarLogDump_list: total 0 cpu_cores: Number of cores present = 40 cpu_coreson: Number of cores online = 40 cpu_dscr: DSCR is 3 cpu_freq: min: 2.862 GHz (cpu 159) max: 2.863 GHz (cpu 1) avg: 2.862 GHz cpu_runmode: Could not retrieve current diagnostics mode, No kernel interface to firmware cpu_smt: SMT=4 == Justification == The copy_unaligned / paste_unaligned / paste_last_unaligned test in powerpc/alignment will fail on a Power9 node as which implements ISA 3.0B, but the test was designed base on ISA 3.0. From commit message: This is a test of the ISA 3.0 "copy" instruction. That instruction has an L field, which if set to 1 specifies that "the instruction identifies the beginning of a move group" (pp 858). That's also referred to as "copy first" vs "copy". In ISA 3.0B the copy instruction does not have an L field, and the corresponding bit in the instruction must be set to 1. This test is generating a "copy" instruction, not a "copy first", and so on Power9 (which implements 3.0B), this results in an illegal instruction. So just drop the test entirely. We still have copy_first_unaligned to test the "copy first" behaviour. == Fix == * 83039f22 (selftests/powerpc: Remove Power9 copy_unaligned test) Patch can be cherry-picked into C, for Bionic it needs patches for bug 1828935 to land first to make it a clean cherry-pick. It's already landed in D and onward. == Test == Tested on a Power9 server with Cosmic, the broken tests will be removed correctly. == Regression Potential == Low. Code change limited to testing tools and just removing broken tests. We still have copy_first_unaligned to test the "copy first" behaviour. == Original Bug Report == This issue was only spotted on Power9 system "balter", for Power8 system, it has passed (skipped, and marked as passed) with this test:  TAP version 13  selftests: copy_unaligned  ========================================  test: test_copy_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_copy_unaligned  not ok 1..1 selftests: copy_unaligned [FAIL]  selftests: copy_first_unaligned  ========================================  test: test_copy_first_unaligned  tags: git_version:unknown  success: test_copy_first_unaligned  ok 1..2 selftests: copy_first_unaligned [PASS]  selftests: paste_unaligned  ========================================  test: test_paste_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_unaligned  not ok 1..3 selftests: paste_unaligned [FAIL]  selftests: paste_last_unaligned  ========================================  test: test_paste_last_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_last_unaligned  not ok 1..4 selftests: paste_last_unaligned [FAIL] ProblemType: Bug DistroRelease: Ubuntu 18.04 Package: linux-image-4.15.0-43-generic 4.15.0-43.46 ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18 Uname: Linux 4.15.0-43-generic ppc64le AlsaDevices:  total 0  crw-rw---- 1 root audio 116, 1 Jan 24 06:50 seq  crw-rw---- 1 root audio 116, 33 Jan 24 06:50 timer AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay' ApportVersion: 2.20.9-0ubuntu7.5 Architecture: ppc64el ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord' AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1: Date: Thu Jan 24 07:05:20 2019 IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig' Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 0451:80ff Texas Instruments, Inc.  Bus 001 Device 004: ID 0557:2419 ATEN International Co., Ltd  Bus 001 Device 002: ID 0557:7000 ATEN International Co., Ltd Hub  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub PciMultimedia: ProcFB: 0 astdrmfb ProcKernelCmdLine: root=UUID=acd1a0d7-f6fc-4130-928c-c8b11ad6e4be ro console=hvc0 ProcLoadAvg: 1.24 0.89 0.66 3/1412 8319 ProcLocks:  1: POSIX ADVISORY WRITE 3876 00:17:569 0 EOF  2: FLOCK ADVISORY WRITE 3556 00:17:497 0 EOF  3: FLOCK ADVISORY WRITE 4090 00:17:596 0 EOF  4: POSIX ADVISORY WRITE 3955 00:17:571 0 EOF  5: POSIX ADVISORY WRITE 1823 00:17:348 0 EOF ProcSwaps:  Filename Type Size Used Priority  /swap.img file 8388544 0 -2 ProcVersion: Linux version 4.15.0-43-generic (buildd@bos02-ppc64el-020) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #46-Ubuntu SMP Thu Dec 6 14:43:28 UTC 2018 RelatedPackageVersions:  linux-restricted-modules-4.15.0-43-generic N/A  linux-backports-modules-4.15.0-43-generic N/A  linux-firmware 1.173.3 RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill' SourcePackage: linux UpgradeStatus: No upgrade log present (probably fresh install) VarLogDump_list: total 0 cpu_cores: Number of cores present = 40 cpu_coreson: Number of cores online = 40 cpu_dscr: DSCR is 3 cpu_freq:  min: 2.862 GHz (cpu 159)  max: 2.863 GHz (cpu 1)  avg: 2.862 GHz cpu_runmode:  Could not retrieve current diagnostics mode,  No kernel interface to firmware cpu_smt: SMT=4
2019-05-14 08:27:53 Po-Hsu Lin description == Justification == The copy_unaligned / paste_unaligned / paste_last_unaligned test in powerpc/alignment will fail on a Power9 node as which implements ISA 3.0B, but the test was designed base on ISA 3.0. From commit message: This is a test of the ISA 3.0 "copy" instruction. That instruction has an L field, which if set to 1 specifies that "the instruction identifies the beginning of a move group" (pp 858). That's also referred to as "copy first" vs "copy". In ISA 3.0B the copy instruction does not have an L field, and the corresponding bit in the instruction must be set to 1. This test is generating a "copy" instruction, not a "copy first", and so on Power9 (which implements 3.0B), this results in an illegal instruction. So just drop the test entirely. We still have copy_first_unaligned to test the "copy first" behaviour. == Fix == * 83039f22 (selftests/powerpc: Remove Power9 copy_unaligned test) Patch can be cherry-picked into C, for Bionic it needs patches for bug 1828935 to land first to make it a clean cherry-pick. It's already landed in D and onward. == Test == Tested on a Power9 server with Cosmic, the broken tests will be removed correctly. == Regression Potential == Low. Code change limited to testing tools and just removing broken tests. We still have copy_first_unaligned to test the "copy first" behaviour. == Original Bug Report == This issue was only spotted on Power9 system "balter", for Power8 system, it has passed (skipped, and marked as passed) with this test:  TAP version 13  selftests: copy_unaligned  ========================================  test: test_copy_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_copy_unaligned  not ok 1..1 selftests: copy_unaligned [FAIL]  selftests: copy_first_unaligned  ========================================  test: test_copy_first_unaligned  tags: git_version:unknown  success: test_copy_first_unaligned  ok 1..2 selftests: copy_first_unaligned [PASS]  selftests: paste_unaligned  ========================================  test: test_paste_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_unaligned  not ok 1..3 selftests: paste_unaligned [FAIL]  selftests: paste_last_unaligned  ========================================  test: test_paste_last_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_last_unaligned  not ok 1..4 selftests: paste_last_unaligned [FAIL] ProblemType: Bug DistroRelease: Ubuntu 18.04 Package: linux-image-4.15.0-43-generic 4.15.0-43.46 ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18 Uname: Linux 4.15.0-43-generic ppc64le AlsaDevices:  total 0  crw-rw---- 1 root audio 116, 1 Jan 24 06:50 seq  crw-rw---- 1 root audio 116, 33 Jan 24 06:50 timer AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay' ApportVersion: 2.20.9-0ubuntu7.5 Architecture: ppc64el ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord' AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1: Date: Thu Jan 24 07:05:20 2019 IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig' Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 0451:80ff Texas Instruments, Inc.  Bus 001 Device 004: ID 0557:2419 ATEN International Co., Ltd  Bus 001 Device 002: ID 0557:7000 ATEN International Co., Ltd Hub  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub PciMultimedia: ProcFB: 0 astdrmfb ProcKernelCmdLine: root=UUID=acd1a0d7-f6fc-4130-928c-c8b11ad6e4be ro console=hvc0 ProcLoadAvg: 1.24 0.89 0.66 3/1412 8319 ProcLocks:  1: POSIX ADVISORY WRITE 3876 00:17:569 0 EOF  2: FLOCK ADVISORY WRITE 3556 00:17:497 0 EOF  3: FLOCK ADVISORY WRITE 4090 00:17:596 0 EOF  4: POSIX ADVISORY WRITE 3955 00:17:571 0 EOF  5: POSIX ADVISORY WRITE 1823 00:17:348 0 EOF ProcSwaps:  Filename Type Size Used Priority  /swap.img file 8388544 0 -2 ProcVersion: Linux version 4.15.0-43-generic (buildd@bos02-ppc64el-020) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #46-Ubuntu SMP Thu Dec 6 14:43:28 UTC 2018 RelatedPackageVersions:  linux-restricted-modules-4.15.0-43-generic N/A  linux-backports-modules-4.15.0-43-generic N/A  linux-firmware 1.173.3 RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill' SourcePackage: linux UpgradeStatus: No upgrade log present (probably fresh install) VarLogDump_list: total 0 cpu_cores: Number of cores present = 40 cpu_coreson: Number of cores online = 40 cpu_dscr: DSCR is 3 cpu_freq:  min: 2.862 GHz (cpu 159)  max: 2.863 GHz (cpu 1)  avg: 2.862 GHz cpu_runmode:  Could not retrieve current diagnostics mode,  No kernel interface to firmware cpu_smt: SMT=4 == Justification == The copy_unaligned / paste_unaligned / paste_last_unaligned test in powerpc/alignment will fail on a Power9 node as which implements ISA 3.0B, but the test was designed base on ISA 3.0. From the commit message: This is a test of the ISA 3.0 "copy" instruction. That instruction has an L field, which if set to 1 specifies that "the instruction identifies the beginning of a move group" (pp 858). That's also referred to as "copy first" vs "copy". In ISA 3.0B the copy instruction does not have an L field, and the corresponding bit in the instruction must be set to 1. This test is generating a "copy" instruction, not a "copy first", and so on Power9 (which implements 3.0B), this results in an illegal instruction. So just drop the test entirely. We still have copy_first_unaligned to test the "copy first" behaviour. == Fix == * 83039f22 (selftests/powerpc: Remove Power9 copy_unaligned test) Patch can be cherry-picked into C, for Bionic it needs patches for bug 1828935 to land first to make it a clean cherry-pick. It's already landed in D and onward. == Test == Tested on a Power9 server with Cosmic, the broken tests will be removed correctly. == Regression Potential == Low. Code change limited to testing tools and just removing broken tests. We still have copy_first_unaligned to test the "copy first" behaviour. == Original Bug Report == This issue was only spotted on Power9 system "balter", for Power8 system, it has passed (skipped, and marked as passed) with this test:  TAP version 13  selftests: copy_unaligned  ========================================  test: test_copy_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_copy_unaligned  not ok 1..1 selftests: copy_unaligned [FAIL]  selftests: copy_first_unaligned  ========================================  test: test_copy_first_unaligned  tags: git_version:unknown  success: test_copy_first_unaligned  ok 1..2 selftests: copy_first_unaligned [PASS]  selftests: paste_unaligned  ========================================  test: test_paste_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_unaligned  not ok 1..3 selftests: paste_unaligned [FAIL]  selftests: paste_last_unaligned  ========================================  test: test_paste_last_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_last_unaligned  not ok 1..4 selftests: paste_last_unaligned [FAIL] ProblemType: Bug DistroRelease: Ubuntu 18.04 Package: linux-image-4.15.0-43-generic 4.15.0-43.46 ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18 Uname: Linux 4.15.0-43-generic ppc64le AlsaDevices:  total 0  crw-rw---- 1 root audio 116, 1 Jan 24 06:50 seq  crw-rw---- 1 root audio 116, 33 Jan 24 06:50 timer AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay' ApportVersion: 2.20.9-0ubuntu7.5 Architecture: ppc64el ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord' AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1: Date: Thu Jan 24 07:05:20 2019 IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig' Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 0451:80ff Texas Instruments, Inc.  Bus 001 Device 004: ID 0557:2419 ATEN International Co., Ltd  Bus 001 Device 002: ID 0557:7000 ATEN International Co., Ltd Hub  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub PciMultimedia: ProcFB: 0 astdrmfb ProcKernelCmdLine: root=UUID=acd1a0d7-f6fc-4130-928c-c8b11ad6e4be ro console=hvc0 ProcLoadAvg: 1.24 0.89 0.66 3/1412 8319 ProcLocks:  1: POSIX ADVISORY WRITE 3876 00:17:569 0 EOF  2: FLOCK ADVISORY WRITE 3556 00:17:497 0 EOF  3: FLOCK ADVISORY WRITE 4090 00:17:596 0 EOF  4: POSIX ADVISORY WRITE 3955 00:17:571 0 EOF  5: POSIX ADVISORY WRITE 1823 00:17:348 0 EOF ProcSwaps:  Filename Type Size Used Priority  /swap.img file 8388544 0 -2 ProcVersion: Linux version 4.15.0-43-generic (buildd@bos02-ppc64el-020) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #46-Ubuntu SMP Thu Dec 6 14:43:28 UTC 2018 RelatedPackageVersions:  linux-restricted-modules-4.15.0-43-generic N/A  linux-backports-modules-4.15.0-43-generic N/A  linux-firmware 1.173.3 RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill' SourcePackage: linux UpgradeStatus: No upgrade log present (probably fresh install) VarLogDump_list: total 0 cpu_cores: Number of cores present = 40 cpu_coreson: Number of cores online = 40 cpu_dscr: DSCR is 3 cpu_freq:  min: 2.862 GHz (cpu 159)  max: 2.863 GHz (cpu 1)  avg: 2.862 GHz cpu_runmode:  Could not retrieve current diagnostics mode,  No kernel interface to firmware cpu_smt: SMT=4
2019-05-14 08:31:56 Po-Hsu Lin description == Justification == The copy_unaligned / paste_unaligned / paste_last_unaligned test in powerpc/alignment will fail on a Power9 node as which implements ISA 3.0B, but the test was designed base on ISA 3.0. From the commit message: This is a test of the ISA 3.0 "copy" instruction. That instruction has an L field, which if set to 1 specifies that "the instruction identifies the beginning of a move group" (pp 858). That's also referred to as "copy first" vs "copy". In ISA 3.0B the copy instruction does not have an L field, and the corresponding bit in the instruction must be set to 1. This test is generating a "copy" instruction, not a "copy first", and so on Power9 (which implements 3.0B), this results in an illegal instruction. So just drop the test entirely. We still have copy_first_unaligned to test the "copy first" behaviour. == Fix == * 83039f22 (selftests/powerpc: Remove Power9 copy_unaligned test) Patch can be cherry-picked into C, for Bionic it needs patches for bug 1828935 to land first to make it a clean cherry-pick. It's already landed in D and onward. == Test == Tested on a Power9 server with Cosmic, the broken tests will be removed correctly. == Regression Potential == Low. Code change limited to testing tools and just removing broken tests. We still have copy_first_unaligned to test the "copy first" behaviour. == Original Bug Report == This issue was only spotted on Power9 system "balter", for Power8 system, it has passed (skipped, and marked as passed) with this test:  TAP version 13  selftests: copy_unaligned  ========================================  test: test_copy_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_copy_unaligned  not ok 1..1 selftests: copy_unaligned [FAIL]  selftests: copy_first_unaligned  ========================================  test: test_copy_first_unaligned  tags: git_version:unknown  success: test_copy_first_unaligned  ok 1..2 selftests: copy_first_unaligned [PASS]  selftests: paste_unaligned  ========================================  test: test_paste_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_unaligned  not ok 1..3 selftests: paste_unaligned [FAIL]  selftests: paste_last_unaligned  ========================================  test: test_paste_last_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_last_unaligned  not ok 1..4 selftests: paste_last_unaligned [FAIL] ProblemType: Bug DistroRelease: Ubuntu 18.04 Package: linux-image-4.15.0-43-generic 4.15.0-43.46 ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18 Uname: Linux 4.15.0-43-generic ppc64le AlsaDevices:  total 0  crw-rw---- 1 root audio 116, 1 Jan 24 06:50 seq  crw-rw---- 1 root audio 116, 33 Jan 24 06:50 timer AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay' ApportVersion: 2.20.9-0ubuntu7.5 Architecture: ppc64el ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord' AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1: Date: Thu Jan 24 07:05:20 2019 IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig' Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 0451:80ff Texas Instruments, Inc.  Bus 001 Device 004: ID 0557:2419 ATEN International Co., Ltd  Bus 001 Device 002: ID 0557:7000 ATEN International Co., Ltd Hub  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub PciMultimedia: ProcFB: 0 astdrmfb ProcKernelCmdLine: root=UUID=acd1a0d7-f6fc-4130-928c-c8b11ad6e4be ro console=hvc0 ProcLoadAvg: 1.24 0.89 0.66 3/1412 8319 ProcLocks:  1: POSIX ADVISORY WRITE 3876 00:17:569 0 EOF  2: FLOCK ADVISORY WRITE 3556 00:17:497 0 EOF  3: FLOCK ADVISORY WRITE 4090 00:17:596 0 EOF  4: POSIX ADVISORY WRITE 3955 00:17:571 0 EOF  5: POSIX ADVISORY WRITE 1823 00:17:348 0 EOF ProcSwaps:  Filename Type Size Used Priority  /swap.img file 8388544 0 -2 ProcVersion: Linux version 4.15.0-43-generic (buildd@bos02-ppc64el-020) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #46-Ubuntu SMP Thu Dec 6 14:43:28 UTC 2018 RelatedPackageVersions:  linux-restricted-modules-4.15.0-43-generic N/A  linux-backports-modules-4.15.0-43-generic N/A  linux-firmware 1.173.3 RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill' SourcePackage: linux UpgradeStatus: No upgrade log present (probably fresh install) VarLogDump_list: total 0 cpu_cores: Number of cores present = 40 cpu_coreson: Number of cores online = 40 cpu_dscr: DSCR is 3 cpu_freq:  min: 2.862 GHz (cpu 159)  max: 2.863 GHz (cpu 1)  avg: 2.862 GHz cpu_runmode:  Could not retrieve current diagnostics mode,  No kernel interface to firmware cpu_smt: SMT=4 == Justification == The copy_unaligned / paste_unaligned / paste_last_unaligned test in powerpc/alignment will fail on a Power9 node as which implements ISA 3.0B, but the test was designed base on ISA 3.0. From the commit message: This is a test of the ISA 3.0 "copy" instruction. That instruction has an L field, which if set to 1 specifies that "the instruction identifies the beginning of a move group" (pp 858). That's also referred to as "copy first" vs "copy". In ISA 3.0B the copy instruction does not have an L field, and the corresponding bit in the instruction must be set to 1. This test is generating a "copy" instruction, not a "copy first", and so on Power9 (which implements 3.0B), this results in an illegal instruction. So just drop the test entirely. We still have copy_first_unaligned to test the "copy first" behaviour. == Fix == * 83039f22 (selftests/powerpc: Remove Power9 copy_unaligned test) Patch can be cherry-picked into C, for Bionic it needs patches for bug 1828935 to land first (8d191587) to make it a clean cherry-pick. It's already landed in D and onward. == Test == Tested on a Power9 server with Cosmic, the broken tests will be removed correctly. == Regression Potential == Low. Code change limited to testing tools and just removing broken tests. We still have copy_first_unaligned to test the "copy first" behaviour. == Original Bug Report == This issue was only spotted on Power9 system "balter", for Power8 system, it has passed (skipped, and marked as passed) with this test:  TAP version 13  selftests: copy_unaligned  ========================================  test: test_copy_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_copy_unaligned  not ok 1..1 selftests: copy_unaligned [FAIL]  selftests: copy_first_unaligned  ========================================  test: test_copy_first_unaligned  tags: git_version:unknown  success: test_copy_first_unaligned  ok 1..2 selftests: copy_first_unaligned [PASS]  selftests: paste_unaligned  ========================================  test: test_paste_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_unaligned  not ok 1..3 selftests: paste_unaligned [FAIL]  selftests: paste_last_unaligned  ========================================  test: test_paste_last_unaligned  tags: git_version:unknown  !! child died by signal 4  failure: test_paste_last_unaligned  not ok 1..4 selftests: paste_last_unaligned [FAIL] ProblemType: Bug DistroRelease: Ubuntu 18.04 Package: linux-image-4.15.0-43-generic 4.15.0-43.46 ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18 Uname: Linux 4.15.0-43-generic ppc64le AlsaDevices:  total 0  crw-rw---- 1 root audio 116, 1 Jan 24 06:50 seq  crw-rw---- 1 root audio 116, 33 Jan 24 06:50 timer AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay' ApportVersion: 2.20.9-0ubuntu7.5 Architecture: ppc64el ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord' AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1: Date: Thu Jan 24 07:05:20 2019 IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig' Lsusb:  Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub  Bus 001 Device 003: ID 0451:80ff Texas Instruments, Inc.  Bus 001 Device 004: ID 0557:2419 ATEN International Co., Ltd  Bus 001 Device 002: ID 0557:7000 ATEN International Co., Ltd Hub  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub PciMultimedia: ProcFB: 0 astdrmfb ProcKernelCmdLine: root=UUID=acd1a0d7-f6fc-4130-928c-c8b11ad6e4be ro console=hvc0 ProcLoadAvg: 1.24 0.89 0.66 3/1412 8319 ProcLocks:  1: POSIX ADVISORY WRITE 3876 00:17:569 0 EOF  2: FLOCK ADVISORY WRITE 3556 00:17:497 0 EOF  3: FLOCK ADVISORY WRITE 4090 00:17:596 0 EOF  4: POSIX ADVISORY WRITE 3955 00:17:571 0 EOF  5: POSIX ADVISORY WRITE 1823 00:17:348 0 EOF ProcSwaps:  Filename Type Size Used Priority  /swap.img file 8388544 0 -2 ProcVersion: Linux version 4.15.0-43-generic (buildd@bos02-ppc64el-020) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #46-Ubuntu SMP Thu Dec 6 14:43:28 UTC 2018 RelatedPackageVersions:  linux-restricted-modules-4.15.0-43-generic N/A  linux-backports-modules-4.15.0-43-generic N/A  linux-firmware 1.173.3 RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill' SourcePackage: linux UpgradeStatus: No upgrade log present (probably fresh install) VarLogDump_list: total 0 cpu_cores: Number of cores present = 40 cpu_coreson: Number of cores online = 40 cpu_dscr: DSCR is 3 cpu_freq:  min: 2.862 GHz (cpu 159)  max: 2.863 GHz (cpu 1)  avg: 2.862 GHz cpu_runmode:  Could not retrieve current diagnostics mode,  No kernel interface to firmware cpu_smt: SMT=4
2019-06-04 13:37:04 Kleber Sacilotto de Souza linux (Ubuntu Bionic): status In Progress Fix Committed
2019-06-04 13:37:06 Kleber Sacilotto de Souza linux (Ubuntu Cosmic): status In Progress Fix Committed
2019-06-18 12:02:44 Ubuntu Kernel Bot tags apport-bug bionic ppc64el uec-images apport-bug bionic ppc64el uec-images verification-needed-cosmic
2019-06-18 16:02:46 Ubuntu Kernel Bot tags apport-bug bionic ppc64el uec-images verification-needed-cosmic apport-bug bionic ppc64el uec-images verification-needed-bionic verification-needed-cosmic
2019-06-27 07:33:40 Po-Hsu Lin tags apport-bug bionic ppc64el uec-images verification-needed-bionic verification-needed-cosmic apport-bug bionic ppc64el uec-images verification-done-cosmic verification-needed-bionic
2019-06-27 07:45:47 Po-Hsu Lin tags apport-bug bionic ppc64el uec-images verification-done-cosmic verification-needed-bionic apport-bug bionic ppc64el uec-images verification-done-cosmic verification-needed-bionic verification-needed-cosmic
2019-06-27 07:45:59 Po-Hsu Lin tags apport-bug bionic ppc64el uec-images verification-done-cosmic verification-needed-bionic verification-needed-cosmic apport-bug bionic ppc64el uec-images verification-needed-bionic verification-needed-cosmic
2019-07-16 09:46:11 Po-Hsu Lin tags apport-bug bionic ppc64el uec-images verification-needed-bionic verification-needed-cosmic apport-bug bionic ppc64el uec-images verification-done-bionic verification-done-cosmic
2019-07-16 09:46:23 Po-Hsu Lin ubuntu-kernel-tests: status In Progress Fix Released
2019-07-22 10:53:34 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2019-07-22 10:53:34 Launchpad Janitor cve linked 2018-12126
2019-07-22 10:53:34 Launchpad Janitor cve linked 2018-12127
2019-07-22 10:53:34 Launchpad Janitor cve linked 2018-12130
2019-07-22 10:53:34 Launchpad Janitor cve linked 2019-11085
2019-07-22 10:53:34 Launchpad Janitor cve linked 2019-11091
2019-07-22 10:53:34 Launchpad Janitor cve linked 2019-11815
2019-07-22 10:53:34 Launchpad Janitor cve linked 2019-11833
2019-07-22 10:53:34 Launchpad Janitor cve linked 2019-11884
2019-08-22 16:16:26 Ubuntu Kernel Bot tags apport-bug bionic ppc64el uec-images verification-done-bionic verification-done-cosmic apport-bug bionic ppc64el uec-images verification-done-bionic verification-done-cosmic verification-needed-xenial
2019-09-17 14:58:41 Po-Hsu Lin tags apport-bug bionic ppc64el uec-images verification-done-bionic verification-done-cosmic verification-needed-xenial apport-bug bionic ppc64el uec-images verification-done-bionic verification-done-cosmic verification-done-xenial